<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
 
</head>


<BODY onLoad="parametros.cliente.focus();">
<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

date_default_timezone_set('America/Bogota');
include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
	$cliente="";
   							  
if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"]; 
	$cliente=$_REQUEST["cliente"];   		
}


?>
<form name="parametros" method="post" action="" >
  <div id="informes" class="container text-center" style="width:100%;">
    <div class="panel panel-default">
      <div class="panel-heading" align="left">   VENTA DIARIAS</div>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    
                    <tr> 
                      <td height="1" colspan="7">
                      <div align="left">
                      <?php
					  				   
						  
							echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr ><td colspan='12' class='btn-primary' align='center'>DETALLE DE VENTA</td></tr>";
							echo "<tr>";
							echo "<td class='btn-primary' align='center'>Nombre</td>";
							echo "<td class='btn-primary' align='center'>Cantidad</td>";
							echo "<td class='btn-primary' align='center'>Precio</td>";
							echo "<td class='btn-primary' align='center'>Total</td>";		
							echo "<td class='btn-primary' width='10%' align='center'>Fecha</td>";							
							echo "<td class='btn-primary' align='center'>No Factura</td>";		
							echo "<td class='btn-primary' align='center'>Tipo Pago</td>";	
							echo "<td class='btn-primary' align='center'>Cliente</td>";
							echo "<td class='btn-primary' align='center'>Vendedor</td>";							
							echo "<td class='btn-primary'></td>";							
							echo "</tr>";
					   
					   		if($cliente<>""){$sqlcliente="and cliente='".$cliente."'";}else  {$sqlcliente="";}
							if($id<>""){$sqlfactura="and producto='".$id."'";}else  {$sqlfactura="";}
							
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,
							 								estado,fecha ,hora,factura,cliente ,tipopago
							 						from venta
													 where fecha='".date("Y-m-d")."'
													 order by factura desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									$fecha=$datos[7];
									$hora=$datos[8];
									$factura=$datos[9];
									$cliente=$datos[10];
									$tipopago=$datos[11];	
								 	$npago="";
									 if($tipopago=='EF')
									   {$npago="Efectivo";
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
									   }
									
									$sql_datosre=mysqli_query($conexion,"SELECT iva from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									 
									if($cliente>0)
									  {	$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
										while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
										if($contar>=1)
										{
											$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
											while($datosrs= mysqli_fetch_row($sql_contar)){ $nombrec=$datosrs[0];}
										}
									  }	
									 else {$nombrec="";} 
									
									
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									$paqueteunidad="";
									 $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro)){ $nproducto=$datosrs[0]; $descripcion=$datosrs[1]; $paqueteunidad=$datosrs[2];}
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 include "../seguridad.php";
									   $sql_datosuser = mysqli_query($conseg,"SELECT nombre,apellido  FROM usuario where login='".$usuario."'");
									   while($datosrs= mysqli_fetch_row($sql_datosuser)){ $cajero=$datosrs[0]." ".$datosrs[1];}
									 include "../conexion.php";
									 
									 echo "<tr bgcolor=$color class='textoprefac'>
											  <td>$producto<br>$nproducto</td>
											  <td><div align='right'>$cantidad</div></td>
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>		
											  <td><div align='right'>$fecha <br> $hora</div></td>		
											  <td><div align='right'>$factura</div></td>	
											  <td><div align='right'>$npago</div></td>
											  <td><div align='right'>$nombrec</div></td>
											  <td><div align='right'>$cajero</div></td>
											  <td>";
											  ?> 
                                              <img src="../imagenes/imprimir.png" width="50" height="50" alt="Clic para Imprimir"
                                              onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=700');"/>
											  <?php
                                              echo "</td>											 										 
											</tr>";
											$c=$c+1;
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
											
											if($estado=='I')
											    {$sumaI=$sumaI+$totalitem;}
											
											
								  }	//04
								  $neto=$sumag+$sumaiva;
								 
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						
                             				
						   
						  
						   ?> 
                      </div></td>
                    </tr>
                    <tr> 
                      <td colspan="7"><div align="center">
                        <input name="oguardar" type="hidden" id="oguardar">
                          <input name="oculto" type="hidden" id="oculto">
                          <br>
                        </div></td>
                    </tr>
                  </table>
                    
</TD>
                </TR>
            </TBODY>
            </TABLE>
 </div>
</div>  
 
  
</form>
<div id="resultado"></div>
</body>
</html>
